"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _reactNativeModal = _interopRequireDefault(require("react-native-modal"));
var _flashList = require("@shopify/flash-list");
var _assets = require("../../assets");
var _styles = _interopRequireWildcard(require("./styles"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const PickerComponent = _ref => {
  let {
    data,
    value,
    placeholder,
    search,
    searchPlaceholder,
    disable,
    onChange,
    containerStyle,
    containerDisableStyle,
    textStyle,
    placeholderStyle,
    inputSearchStyle
  } = _ref;
  const [keyword, setKeyword] = (0, _react.useState)('');
  const [dataFiltered, setDataFiltered] = (0, _react.useState)([]);
  const [isOpened, setIsOpened] = (0, _react.useState)(false);
  const [keyboardHeight, setKeyboardHeight] = (0, _react.useState)(0);
  const itemSelected = (0, _react.useMemo)(() => {
    return data.find(e => e.value === value);
  }, [data, value]);
  (0, _react.useEffect)(() => {
    const keyboardOpened = _reactNative.Keyboard.addListener('keyboardDidShow', e => {
      setKeyboardHeight(e.endCoordinates.height);
    });
    const keyboardHidden = _reactNative.Keyboard.addListener('keyboardDidHide', () => {
      setKeyboardHeight(0);
    });
    return () => {
      keyboardOpened.remove();
      keyboardHidden.remove();
    };
  }, []);
  (0, _react.useEffect)(() => {
    handleSearch();
  }, [keyword]);
  const handleSelectItem = item => {
    if (!disable) {
      onChange(item.value);
      setIsOpened(false);
    }
  };
  const handleSearch = () => {
    const dataFiltered = data.filter(item => {
      const labelValue = item.label.toLowerCase().trim();
      return labelValue.includes(keyword.toLowerCase().trim());
    });
    setDataFiltered(dataFiltered);
  };
  const _renderItem = (0, _react.useCallback)(_ref2 => {
    let {
      item
    } = _ref2;
    const isSelected = item.value === value;
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableHighlight, {
      activeOpacity: 0.6,
      underlayColor: _styles.colors.selected,
      onPress: () => handleSelectItem(item)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: [_styles.default.textBase, _styles.default.itemContainer, isSelected && _styles.default.selectedTextStyle]
    }, item.label)));
  }, [value, dataFiltered]);
  const _renderModal = (0, _react.useCallback)(() => /*#__PURE__*/_react.default.createElement(_reactNativeModal.default, {
    isVisible: isOpened,
    animationIn: 'fadeInUp',
    style: {
      margin: 0,
      padding: 0
    },
    statusBarTranslucent: true,
    onModalHide: () => setIsOpened(false),
    deviceWidth: _styles.width,
    deviceHeight: _styles.height
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.modalWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.modalContainer, {
      height: (data.length + 3) * _styles.itemHeight + keyboardHeight
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.modalHeaderWithSearch
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.default.modalHeaderWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.default.modalHeaderText
  }, placeholder), /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: () => setIsOpened(false),
    style: _styles.default.modalHeaderClose
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: _assets.IMAGES.IC_CLOSE,
    style: {
      width: 20,
      height: 20
    }
  }))), search && /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: [_styles.default.inputSearchStyle, inputSearchStyle],
    placeholder: searchPlaceholder || 'Enter keyword...',
    onChangeText: setKeyword
  })), /*#__PURE__*/_react.default.createElement(_flashList.FlashList, {
    estimatedItemSize: 100,
    data: dataFiltered,
    renderItem: _renderItem
  })))), [value, isOpened, dataFiltered, placeholder, searchPlaceholder, keyboardHeight]);
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.default.container, containerStyle, disable && {
      backgroundColor: _styles.colors.selected
    }, disable && containerDisableStyle]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    style: _styles.default.btnDropdown,
    onPress: () => setIsOpened(true)
  }, itemSelected && itemSelected.label ? /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [_styles.default.textBase, textStyle]
  }, itemSelected.label) : /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    numberOfLines: 1,
    style: [_styles.default.textBase, placeholderStyle]
  }, placeholder), /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: isOpened ? _assets.IMAGES.IC_UP : _assets.IMAGES.IC_DOWN,
    style: _styles.default.iconDropdown
  }))), _renderModal());
};
var _default = /*#__PURE__*/_react.default.memo(PickerComponent);
exports.default = _default;
//# sourceMappingURL=index.js.map