"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.width = exports.itemHeight = exports.height = exports.default = exports.colors = void 0;
var _reactNative = require("react-native");
const itemHeight = 50;
exports.itemHeight = itemHeight;
const {
  width,
  height
} = _reactNative.Dimensions.get('screen');
exports.height = height;
exports.width = width;
const colors = {
  selected: '#ececec',
  separator: '#cccccc',
  text: '#333333',
  white: '#ffffff'
};
exports.colors = colors;
const styles = _reactNative.StyleSheet.create({
  textBase: {
    color: colors.text,
    fontSize: 14
  },
  container: {
    width: '100%',
    height: itemHeight,
    justifyContent: 'center',
    borderColor: colors.separator,
    borderWidth: 1,
    borderRadius: 5
  },
  btnDropdown: {
    flex: 1,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    paddingHorizontal: 12
  },
  iconDropdown: {
    width: 14,
    height: 14
  },
  modalWrapper: {
    flex: 1,
    justifyContent: 'flex-end',
    width: width,
    height: height
  },
  modalContainer: {
    width: width,
    backgroundColor: colors.white,
    overflow: 'hidden',
    borderTopRightRadius: 10,
    borderTopLeftRadius: 10
  },
  modalHeaderWithSearch: {
    borderColor: colors.separator,
    borderBottomWidth: 1
  },
  modalHeaderWrapper: {
    height: itemHeight,
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center'
  },
  modalHeaderText: {
    fontSize: 16,
    fontWeight: 'bold',
    paddingHorizontal: 16,
    color: colors.text
  },
  modalHeaderClose: {
    width: itemHeight,
    height: itemHeight,
    justifyContent: 'center',
    alignItems: 'center'
  },
  itemContainer: {
    height: itemHeight,
    justifyContent: 'center',
    paddingHorizontal: 16,
    textAlignVertical: 'center',
    borderBottomWidth: 1,
    borderColor: colors.separator
  },
  selectedTextStyle: {
    fontWeight: 'bold'
  },
  inputSearchStyle: {
    padding: 12,
    height: itemHeight,
    borderWidth: 1,
    borderColor: colors.separator,
    borderRadius: 5,
    marginBottom: 10,
    marginHorizontal: 16
  }
});
var _default = styles;
exports.default = _default;
//# sourceMappingURL=styles.js.map